BitMagic-C++: sparse_vect_index Struct Reference

BitMagic-C++

Data Structures | Public Types | Public Member Functions | Data Fields
sparse_vect_index Struct Reference
Collaboration diagram for sparse_vect_index:
[legend]

## Data Structures
struct | vect_addr

## Public Types
typedef bm::sparse_vector< unsigned, bm::bvector<> > | sparse_vector_type
typedef std::map< unsigned, vect_addr > | map_type
typedef std::vector< std::pair< uint64_t, unsigned > > | delta_sum_map_type

## Public Member Functions
void | get_vector (unsigned id, std::vector< unsigned > &vect) const

## Data Fields
sparse_vector_type | sv_storage_
sparse_vector_type | sv_storage1_
map_type | idx_

## Detailed Description

Examples
  xsample01.cpp.

Definition at line 165 of file xsample01.cpp.

## Member Typedef Documentation

## ◆ delta_sum_map_type

typedef std::vector< std::pair<uint64_t, unsigned> > sparse_vect_index::delta_sum_map_type

Examples
  xsample01.cpp.

Definition at line 175 of file xsample01.cpp.

## ◆ map_type

typedef std::map<unsigned, vect_addr> sparse_vect_index::map_type

Examples
  xsample01.cpp.

Definition at line 174 of file xsample01.cpp.

## ◆ sparse_vector_type

typedef bm::sparse_vector<unsigned, bm::bvector<> > sparse_vect_index::sparse_vector_type

Examples
  xsample01.cpp.

Definition at line 173 of file xsample01.cpp.

## Member Function Documentation

## ◆ get_vector()

void sparse_vect_index::get_vector | ( | unsigned | id,
|  | std::vector< unsigned > & | vect
| ) |  | const

Examples
  xsample01.cpp.

Definition at line 186 of file xsample01.cpp.

References bm::sparse_vector< Val, BV >::get(), idx_, sparse_vect_index::vect_addr::offset, sparse_vect_index::vect_addr::size, sv_storage1_, and sv_storage_.

Referenced by convert_bv2sv(), and speed_test_sv_index().

## Field Documentation

## ◆ idx_

map_type sparse_vect_index::idx_

Examples
  xsample01.cpp.

Definition at line 183 of file xsample01.cpp.

Referenced by convert_bv2sv(), get_vector(), and speed_test_sv_index().

## ◆ sv_storage1_

sparse_vector_type sparse_vect_index::sv_storage1_

Examples
  xsample01.cpp.

Definition at line 182 of file xsample01.cpp.

Referenced by convert_bv2sv(), and get_vector().

## ◆ sv_storage_

sparse_vector_type sparse_vect_index::sv_storage_

Examples
  xsample01.cpp.

Definition at line 181 of file xsample01.cpp.

Referenced by convert_bv2sv(), and get_vector().

The documentation for this struct was generated from the following file:

- xsample01.cpp